#Linux bilen sevgili arkadaşlarım, yardımınıza ihtiyacım var. İnternette bakındım ama bir şey bulamadım, bulduklarımı da anlamadım.

Elementary OS kullanıyorum ve birkaç gündür mağaza uygulaması üzerinden güncelleme yaptığımda yapmış gibi yapıp aslında yapmıyordu, güncelleme sonrasında update butonu hala basılabilir oluyordu ve istersem 100 kere aynı güncellemeyi alabiliyordum. Buna çok takılmadım fakat başka bir sorunun göstergesiymiş meğer.

Şimdi mağazadan hiçbir uygulamayı indiremiyorum. Hangi uygulamayı indirmek istersem isteyeyim aşağıdaki hatayı veriyor:

Error while installing package: trying to overwrite '/usr/lib/x86_64-linux-gnu/liblur.so.3.0.3', which is also in package libratbag 0.9.903.0~bionic

Windows olsa sırf "overwrite" kelimesinden hareketle gider /usr/lib/x86_64-linux-gnu/liblur.so.3.0.3 klasörünü silmeyi denerdim ama linux olunca kurcalamaya cesaret edemiyorum bu şekilde 🙁

Çok tatlı bir şekilde kurmuştum sistemi, daha önce de bana 1 aydan fazla dayanmışlığı yoktu, hadi demiştim, Windows'un berbat tasarımını çekmektense son bir şans vereyim ama yine 1 ayı çıkaramadı 🙁

BeğenFavori PaylaşYorum yap
  • Erman @ermanyurdakann

    Ayrıca uygulamaları terminal üzerinden indirmek istediğimde de şununla karşılaşıyorum:

    erman@erman-elementaryjuno:~$ sudo apt-get install gimp
    [sudo] password for erman:
    Reading package lists... Done
    Building dependency tree
    Reading state information... Done
    gimp is already the newest version (2.8.22-1).
    You might want to run 'apt --fix-broken install' to correct these.
    The following packages have unmet dependencies:
    libratbag-tools : Depends: lur-command but it is not going to be installed
    Depends: ratbagd
    E: Unmet dependencies. Try 'apt --fix-broken install' with no packages (or specify a solution).
    erman@erman-elementaryjuno:~$ apt --fix-broken install
    E: Could not open lock file /var/lib/dpkg/lock-frontend - open (13: Permission denied)
    E: Unable to acquire the dpkg frontend lock (/var/lib/dpkg/lock-frontend), are you root?
    erman@erman-elementaryjuno:~$

  • Osman Öztürk @ptseeker

    @ermanyurdakann Bir daha böyle bir sorun yaşarsanız synaptic packet managerdan da düzeltebilirsiniz diye düşünüyorum